Skip to content

View a custom field

Request:

GET /api/v2/custom_fields/<field-id>.json

Example of response:

{
    "custom_field": {
        "field_id": "2d020436-5189-11ee-a647-0015172d2a7d",
        "tenant_id": null,
        "is_global": true,
        "name": "Product ordered",
        "computer_name": "product_ordered",
        "description": null,
        "type": "string",
        "enable": true,
        "editable": true,
        "dashboard": false,
        "fieldset_text_value_settings": {
            "str_max_len": 64,
            "display_as": "default"
        },
        "fieldset_display_settings": {
            "display_group": null,
            "display_order": null,
            "display_prefix": null,
            "display_suffix": null,
            "show_in_compact_view": false
        }
    }
}

See Custom field attributes.

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The custom field is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view custom fields
404 Not Found Custom field with such ID does not exist, or it is outside the access scope of the API user